Debian GNU/Linux

sed: documentation is non-free

Reported by Debian Bug Importer on 2004-11-17
12
This bug affects 1 person
Affects Status Importance Assigned to Milestone
sed (Debian)
New
Unknown
sed (Ubuntu)
High
Unassigned

Bug Description

Automatically imported from Debian bug report #281639 http://bugs.debian.org/281639

Debian Bug Importer (debzilla) wrote :

Automatically imported from Debian bug report #281639 http://bugs.debian.org/281639

Debian Bug Importer (debzilla) wrote :

Message-Id: <email address hidden>
Date: Wed, 17 Nov 2004 00:59:24 +0000
From: "Brian M\. Carlson" <email address hidden>
To: Debian Bug Tracking System <email address hidden>
Subject: sed: documentation is non-free

Package: sed
Version: 4.1.2-1
Severity: serious

The GNU Free Documentation License is non-free; please either (a) remove
the documentation from the package or (b) move the documentation to a
separate source package in non-free. Thank you.

-- System Information:
Debian Release: 3.1
  APT prefers experimental
  APT policy: (501, 'experimental'), (501, 'unstable')
Architecture: i386 (i686)
Kernel: Linux 2.6.9-1-k7
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968) (ignored: LC_ALL set to C)

Versions of packages sed depends on:
ii libc6 2.3.2.ds1-18 GNU C Library: Shared libraries an

-- no debconf information

James Troup (elmo) wrote :

GFDL documentation is okay for us.

> The GNU Free Documentation License is non-free; please either (a) remove
> the documentation from the package or (b) move the documentation to a
> separate source package in non-free. Thank you.

Paolo, is there any chance of changing the sed manual license?

Debian Bug Importer (debzilla) wrote :

Message-ID: <email address hidden>
Date: Tue, 16 Nov 2004 21:31:50 -0500
From: Clint Adams <email address hidden>
To: <email address hidden>
Cc: <email address hidden>,
 "Brian M. Carlson" <email address hidden>
Subject: Re: Bug#281639: sed: documentation is non-free

> The GNU Free Documentation License is non-free; please either (a) remove
> the documentation from the package or (b) move the documentation to a
> separate source package in non-free. Thank you.

Paolo, is there any chance of changing the sed manual license?

Clint Adams wrote:
> > The GNU Free Documentation License is non-free; please either (a) remove
> > the documentation from the package or (b) move the documentation to a
> > separate source package in non-free. Thank you.
>
> Paolo, is there any chance of changing the sed manual license?

The manual is free as long as there are no invariant sections, isn't it?

Paolo

Debian Bug Importer (debzilla) wrote :

Message-ID: <email address hidden>
Date: Wed, 17 Nov 2004 09:03:16 +0100
From: Paolo Bonzini <email address hidden>
To: Clint Adams <email address hidden>
CC: <email address hidden>, <email address hidden>, "Brian M. Carlson" <email address hidden>
Subject: Re: Bug#281639: sed: documentation is non-free

Clint Adams wrote:
> > The GNU Free Documentation License is non-free; please either (a) remove
> > the documentation from the package or (b) move the documentation to a
> > separate source package in non-free. Thank you.
>
> Paolo, is there any chance of changing the sed manual license?

The manual is free as long as there are no invariant sections, isn't it?

Paolo

tags 281639 sarge-ignore
thanks

On Wed, Nov 17, 2004 at 12:59:24AM +0000, Brian M. Carlson wrote:
> Package: sed
> Version: 4.1.2-1
> Severity: serious
>
> The GNU Free Documentation License is non-free; please either (a) remove
> the documentation from the package or (b) move the documentation to a
> separate source package in non-free. Thank you.

You are not required to do this for sarge.

--
Colin Watson [<email address hidden>]

Debian Bug Importer (debzilla) wrote :

Message-ID: <email address hidden>
Date: Wed, 17 Nov 2004 01:45:44 +0000
From: Colin Watson <email address hidden>
To: "Brian M. Carlson" <email address hidden>
Cc: <email address hidden>, <email address hidden>
Subject: Re: sed: documentation is non-free

tags 281639 sarge-ignore
thanks

On Wed, Nov 17, 2004 at 12:59:24AM +0000, Brian M. Carlson wrote:
> Package: sed
> Version: 4.1.2-1
> Severity: serious
>
> The GNU Free Documentation License is non-free; please either (a) remove
> the documentation from the package or (b) move the documentation to a
> separate source package in non-free. Thank you.

You are not required to do this for sarge.

--
Colin Watson [<email address hidden>]

> The manual is free as long as there are no invariant sections, isn't it?

I think there was a consensus previously that the GNU FDL was free as
long as there were no Invariant Sections or Cover Texts.

I think the current consensus may be as is described at
http://people.debian.org/~srivasta/Position_Statement.xhtml .

This issue gets an exemption for the sarge release policy,
http://release.debian.org/sarge_rc_policy.txt .

Hopefully Mr. Carlson will jump in here if I've completely failed to
understand the issue.

If the documentation could be relicensed under the GPL, or dual-licensed
under the GPL and FDL, I think everyone might be satisfied. I could be
mistaken about this as well.

Debian Bug Importer (debzilla) wrote :

Message-ID: <email address hidden>
Date: Wed, 17 Nov 2004 11:43:30 -0500
From: Clint Adams <email address hidden>
To: Paolo Bonzini <email address hidden>, <email address hidden>
Cc: <email address hidden>,
 "Brian M. Carlson" <email address hidden>
Subject: Re: Bug#281639: sed: documentation is non-free

> The manual is free as long as there are no invariant sections, isn't it?

I think there was a consensus previously that the GNU FDL was free as
long as there were no Invariant Sections or Cover Texts.

I think the current consensus may be as is described at
http://people.debian.org/~srivasta/Position_Statement.xhtml .

This issue gets an exemption for the sarge release policy,
http://release.debian.org/sarge_rc_policy.txt .

Hopefully Mr. Carlson will jump in here if I've completely failed to
understand the issue.

If the documentation could be relicensed under the GPL, or dual-licensed
under the GPL and FDL, I think everyone might be satisfied. I could be
mistaken about this as well.

Clint Adams <email address hidden> writes:

> Did you mean to Cc this to sed upstream and the bug?

Yes, I did. Fixed.

>> I think this was the consensus previously, but it is no longer. For
>> example, secion 4I allows one to create a 10,000 word "Ode to My
>> Goldfish" in the History section which then cannot be modified. Plus
>> there is the DRM restriction. Also, 4K is non-free. 4N may be.
>>
>> > I think the current consensus may be as is described at
>> > http://people.debian.org/~srivasta/Position_Statement.xhtml .
>>
>> I believe so.
>>
>> > This issue gets an exemption for the sarge release policy,
>> > http://release.debian.org/sarge_rc_policy.txt .
>>
>> Yes, it does, *if* the release managers tag it sarge-ignore. However,
>> that does not excuse you from fixing the bug (which some maintainers
>> seem to think).
>>
>> > Hopefully Mr. Carlson will jump in here if I've completely failed to
>> > understand the issue.
>>
>> Don't worry, it's a complicated issue, and a complicated license.
>>
>> > If the documentation could be relicensed under the GPL, or dual-licensed
>> > under the GPL and FDL, I think everyone might be satisfied. I could be
>> > mistaken about this as well.
>>
>> As long as one of the alternatives is free, everyone can be happy.
>> So, for example, if it were relicensed under the FDL and GPL, that's
>> fine, because the GPL is free (according to the DFSG). This is
>> similar to Qt.
>>
>> Anyway, I appreciate your prompt response to this bug.

> >> Yes, it does, *if* the release managers tag it sarge-ignore. However,
> >> that does not excuse you from fixing the bug (which some maintainers
> >> seem to think).

They have tagged it sarge-ignore already.

> >> As long as one of the alternatives is free, everyone can be happy.
> >> So, for example, if it were relicensed under the FDL and GPL, that's
> >> fine, because the GPL is free (according to the DFSG). This is
> >> similar to Qt.
> >>
> >> Anyway, I appreciate your prompt response to this bug.

I would prefer a relicensing over removing the docs, I think.

Debian Bug Importer (debzilla) wrote :

Message-ID: <email address hidden>
Date: Wed, 17 Nov 2004 19:30:44 +0000
From: <email address hidden> (Brian M. Carlson)
To: Clint Adams <email address hidden>
Cc: "Brian M. Carlson" <email address hidden>,
 <email address hidden>, <email address hidden>
Subject: Re: Bug#281639: sed: documentation is non-free

Clint Adams <email address hidden> writes:

> Did you mean to Cc this to sed upstream and the bug?

Yes, I did. Fixed.

>> I think this was the consensus previously, but it is no longer. For
>> example, secion 4I allows one to create a 10,000 word "Ode to My
>> Goldfish" in the History section which then cannot be modified. Plus
>> there is the DRM restriction. Also, 4K is non-free. 4N may be.
>>
>> > I think the current consensus may be as is described at
>> > http://people.debian.org/~srivasta/Position_Statement.xhtml .
>>
>> I believe so.
>>
>> > This issue gets an exemption for the sarge release policy,
>> > http://release.debian.org/sarge_rc_policy.txt .
>>
>> Yes, it does, *if* the release managers tag it sarge-ignore. However,
>> that does not excuse you from fixing the bug (which some maintainers
>> seem to think).
>>
>> > Hopefully Mr. Carlson will jump in here if I've completely failed to
>> > understand the issue.
>>
>> Don't worry, it's a complicated issue, and a complicated license.
>>
>> > If the documentation could be relicensed under the GPL, or dual-licensed
>> > under the GPL and FDL, I think everyone might be satisfied. I could be
>> > mistaken about this as well.
>>
>> As long as one of the alternatives is free, everyone can be happy.
>> So, for example, if it were relicensed under the FDL and GPL, that's
>> fine, because the GPL is free (according to the DFSG). This is
>> similar to Qt.
>>
>> Anyway, I appreciate your prompt response to this bug.

Debian Bug Importer (debzilla) wrote :

Message-ID: <email address hidden>
Date: Wed, 17 Nov 2004 14:53:21 -0500
From: Clint Adams <email address hidden>
To: "Brian M. Carlson" <email address hidden>
Cc: <email address hidden>, <email address hidden>
Subject: Re: Bug#281639: sed: documentation is non-free

> >> Yes, it does, *if* the release managers tag it sarge-ignore. However,
> >> that does not excuse you from fixing the bug (which some maintainers
> >> seem to think).

They have tagged it sarge-ignore already.

> >> As long as one of the alternatives is free, everyone can be happy.
> >> So, for example, if it were relicensed under the FDL and GPL, that's
> >> fine, because the GPL is free (according to the DFSG). This is
> >> similar to Qt.
> >>
> >> Anyway, I appreciate your prompt response to this bug.

I would prefer a relicensing over removing the docs, I think.

found 281639 4.0.5-1
thanks

# Automatically generated email from bts, devscripts version 2.9.4
retitle 281639 [NONFREE-DOC:GFDL1.1ol] documentation is non-free

Debian Bug Importer (debzilla) wrote :

Message-ID: <email address hidden>
Date: Fri, 29 Jul 2005 12:13:44 +0200
From: Piotr Engelking <email address hidden>
To: <email address hidden>
Subject: foo

found 281639 4.0.5-1
thanks

Debian Bug Importer (debzilla) wrote :

Message-Id: <email address hidden>
Date: Sun, 7 Aug 2005 23:20:29 +0200
From: Frank Lichtenheld <email address hidden>
To: <email address hidden>
Subject: retitle 281639 to [NONFREE-DOC:GFDL1.1ol] documentation is non-free

# Automatically generated email from bts, devscripts version 2.9.4
retitle 281639 [NONFREE-DOC:GFDL1.1ol] documentation is non-free

package sed
found 281639 4.1.4-4
quit

Debian Bug Importer (debzilla) wrote :

Message-ID: <email address hidden>
Date: Tue, 13 Sep 2005 21:06:57 -0400
From: Clint Adams <email address hidden>
To: <email address hidden>
Subject: gfdl still

package sed
found 281639 4.1.4-4
quit

Hello again Paulo -- and hi Ken.

For the sed docs to be considered free enough for Debian main, it would be
best if they were dual-licensed under the GPL as well as the GFDL (since the
GFDL is problematic).

This can be done in one of two ways:
(1) getting the FSF to agree to it
(Getting the FSF to agree to any such changes has proven difficult for what I
can only describe as political reasons.)
OR
(2) getting all the copyright-worthy contributors to agree to it

I checked with the FSF a while back, and under the copyright assignments we
fill out for the FSF, we retain the right to dual-license our contributions
under the GPL.

It appears that the only contributors of significant amounts to the manual are
you two (Paolo Bonzini and Ken Pizzini).

So, if you two are both willing to dual-license the manual under the GPL,
please say so! It would be ideal if dual-licensing statements went in the
upstream package, but we could also just put your statements in the debian
package.

GFDL-only docs are being removed from Debian "main" for the next release,
until we can work out the little "bugs" in the license with the FSF (which is
taking much longer than it should), and it would be nice if we could keep the
sed docs in Debian main.

Sincerely,
  Nathanael Nerode

Debian Bug Importer (debzilla) wrote :

Message-Id: <email address hidden>
Date: Fri, 6 Jan 2006 08:11:25 -0500
From: Nathanael Nerode <email address hidden>
To: <email address hidden>, <email address hidden>
Cc: <email address hidden>, <email address hidden>
Subject: Would you consider dual-licensing the sed docs?

Hello again Paulo -- and hi Ken.

For the sed docs to be considered free enough for Debian main, it would be
best if they were dual-licensed under the GPL as well as the GFDL (since the
GFDL is problematic).

This can be done in one of two ways:
(1) getting the FSF to agree to it
(Getting the FSF to agree to any such changes has proven difficult for what I
can only describe as political reasons.)
OR
(2) getting all the copyright-worthy contributors to agree to it

I checked with the FSF a while back, and under the copyright assignments we
fill out for the FSF, we retain the right to dual-license our contributions
under the GPL.

It appears that the only contributors of significant amounts to the manual are
you two (Paolo Bonzini and Ken Pizzini).

So, if you two are both willing to dual-license the manual under the GPL,
please say so! It would be ideal if dual-licensing statements went in the
upstream package, but we could also just put your statements in the debian
package.

GFDL-only docs are being removed from Debian "main" for the next release,
until we can work out the little "bugs" in the license with the FSF (which is
taking much longer than it should), and it would be nice if we could keep the
sed docs in Debian main.

Sincerely,
  Nathanael Nerode

I am pleased to say that both of the authors of the sed manual have agreed to
dual-license it under the GPL. A notice to this effect should be present in
the next upstream release of sed.

In the meantime you can use these quotes from their emails in reply to the
message with the subject "Would you consider dual-licensing the sed docs?",
which is preserved earlier in the bug trail:

(Paolo Bonzini)
>No problem from me, though I believe that manuals without Invariant
>Sections are free IMHO.
>
>Is there a package that is already dual-licensing, so that I can copy
>the boilerplate stuff?
>
>Paolo
(The answer was that I couldn't find one, but I suggested some boilerplate
to him.)

(Ken Pizzini)
>> You're still willing to license them under the GPL too though?
>
>Yes.
>
> --Ken Pizzini

So, one RC bug nearly done.

--
Nathanael Nerode <email address hidden>

[Insert famous quote here]

Debian Bug Importer (debzilla) wrote :

Message-ID: <email address hidden>
Date: Thu, 12 Jan 2006 09:11:34 -0500
From: Nathanael Nerode <email address hidden>
To: <email address hidden>
Subject: Good news on the sed docs

I am pleased to say that both of the authors of the sed manual have agreed to
dual-license it under the GPL. A notice to this effect should be present in
the next upstream release of sed.

In the meantime you can use these quotes from their emails in reply to the
message with the subject "Would you consider dual-licensing the sed docs?",
which is preserved earlier in the bug trail:

(Paolo Bonzini)
>No problem from me, though I believe that manuals without Invariant
>Sections are free IMHO.
>
>Is there a package that is already dual-licensing, so that I can copy
>the boilerplate stuff?
>
>Paolo
(The answer was that I couldn't find one, but I suggested some boilerplate
to him.)

(Ken Pizzini)
>> You're still willing to license them under the GPL too though?
>
>Yes.
>
> --Ken Pizzini

So, one RC bug nearly done.

--
Nathanael Nerode <email address hidden>

[Insert famous quote here]

> So, one RC bug nearly done.

Excellent.

Debian Bug Importer (debzilla) wrote :

Message-ID: <email address hidden>
Date: Thu, 12 Jan 2006 19:40:33 -0500
From: Clint Adams <email address hidden>
To: Nathanael Nerode <email address hidden>, <email address hidden>
Subject: Re: Bug#281639: Good news on the sed docs

> So, one RC bug nearly done.

Excellent.

severity 281639 important
quit

tag 152473 + sid
tag 152791 + sid
tag 162663 + sid
tag 176415 + sid
tag 180149 + sid
tag 181494 + sid
tag 183463 + sid
tag 189422 + sid
tag 190209 + sid
tag 197726 + sid
tag 203412 + sid
tag 213539 + sid
tag 215677 + sid
tag 215923 + sid
tag 227386 + sid
tag 241394 + sid
tag 256402 + sid
tag 257225 + sid
tag 257231 + sid
tag 265344 + sid
tag 280803 + sid
tag 281639 + sid
tag 318206 + sid
tag 320398 + sid
tag 321780 + sid
tag 321781 + sid
tag 321782 + sid
tag 336511 + sid
tag 338564 + sid
tag 339834 + sid
tag 339835 + sid
tag 354695 + sid
tag 360873 + sid
tag 360874 + sid
tag 364026 + sid
tag 365256 + sid
tag 366073 + sid
tag 366087 + sid
tag 366093 + sid
tag 367045 + sid
Thanks, control, and have a nice day!
# Oops, they fixed the case-insensitivity feature!
stop processing, control!

I am tagging all of my bugs "sid", so they will no longer be relevant
with respect to the release. The release team may untag these bugs if
they desire, as long as the presence or absence of this tag does not
affect its severity (as specified under Debian Policy). It is my policy
from this point on to tag all of my bugs with either the "sid" or
"experimental" tag, as the case may be, to prevent them from affecting
the release. As a consequence, since such bugs are no longer relevant
to the release, they are no longer governed by the release team's
policy, but only by Debian Policy. Bugs that would be serious based on
Debian Policy but merely important based etch RC policy (like those
violating section 2.5) can now be treated as serious, as they will not
affect britney.

The proper solution to this bug is to have an "rc" or
("release-critical" or similar) tag which defines which bugs are RC, or
at least a "not-rc" bug. Alternatively, Debian Policy could again
become the authoritative reference for what is release-critical.

In the event you have a problem with this, feel free to bring it up on
debian-project. I am subscribed, so you need not CC me. *DO NOT* untag
these bugs except as specified above without first bringing the issue up
on -project.

severity 281639 normal
severity 339793 normal
severity 377446 normal
severity 390580 normal
severity 397601 normal
severity 414601 normal
severity 416823 normal
severity 420343 normal

Jake Yoakum (jyoakum10) on 2012-03-16
Changed in sed (Ubuntu):
status: Invalid → Confirmed

@Jake: as James Troup said in comment #3: "GFDL documentation is okay for us [Ubuntu]". Please, leave a comment the next time you reopen a bug.

Changed in sed (Ubuntu):
status: Confirmed → Invalid
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.